%define name gnome-keyring-manager
%define version 2.11.0
%define release 2mdk

Summary: GNOME keyring manager
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://ftp.gnome.org/pub/GNOME/sources/%name/%{name}-%{version}.tar.bz2
License: GPL
Group: Graphical desktop/GNOME
Url: http://gnomesupport.org/wiki/index.php/GNOME%20Keyring%20Manager%20Wiki
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: intltool
BuildRequires: libgnomeui2-devel
BuildRequires: libglade2.0-devel
BuildRequires: gnome-keyring-devel >= 0.3.2
BuildRequires: gnome-doc-utils
BuildRequires: libxslt-proc
BuildRequires: scrollkeeper

%description
This a keyring management program for the GNOME Desktop. The development of
this application will be like a tutorial for people on gnome-love and the main
idea is that these people in gnome-love do the code themself, helped by the
hacker-trainers.

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std
install -d -m 755 $RPM_BUILD_ROOT%{_menudir}
cat >$RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}): \
	command="%{_bindir}/%{name}" \
	needs="gnome" \
	section="System/Configuration/GNOME" \
	title="GNOME keyring manager" \
	longtitle="Manage your secrets with the GNOME keyring" \
	icon="stock_keyring" \
	startup_notify="true"
EOF

%find_lang %name --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q || true ; fi
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/%name.schemas > /dev/null
%update_menus

%preun
if [ "$1" = "0" ] ; then
 export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
 gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/%name.schemas > /dev/null
fi

%postun
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q || true ; fi
%clean_menus

%files -f %name.lang
%defattr(-,root,root)
%doc HACKING NEWS README TODO AUTHORS ChangeLog
%_bindir/%name
%_datadir/applications/%name.desktop
%_datadir/%name
%_datadir/man/man1/*
%_datadir/omf/%name/%name-C.omf
%_sysconfdir/gconf/schemas/%name.schemas
%_menudir/%name

%changelog
* Tue Mar 29 2005 Gtz Waschk <waschk@linux-mandrake.com> 2.11.0-2mdk
- fix buildrequires

* Tue Mar 29 2005 Gtz Waschk <waschk@linux-mandrake.com> 2.11.0-1mdk
- update file list
- update buildrequires
- New release 2.11.0

* Sun Jan 30 2005 Goetz Waschk <waschk@linux-mandrake.com> 0.0.4-1mdk
- New release 0.0.4

* Thu Jan 06 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.0.3-2mdk 
- Rebuild with latest howl

* Tue Nov  9 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.0.3-1mdk
- add translations
- fix icon in the menu entry
- requires new keyring
- fix source URL
- New release 0.0.3

* Wed Jul 14 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.0.2-1mdk
- initial package
